Version (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.Version class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.util
Enum Version

    java.lang.Object
      java.lang.Enum<Version>
          org.apache.lucene.util.Version

All Implemented Interfaces:
  Serializable, Comparable<Version>

    public enum Version

extends Enum<Version>

Use by certain classes to match version compatibility across releases of Lucene.

WARNING: When changing the version parameter that you supply to components in Lucene, do not simply change the version at search-time, but instead also adjust your indexing code to match, and re-index.

Enum Constant Summary
`LUCENE_20` Deprecated. (3.1) Use latest
`LUCENE_21` Deprecated. (3.1) Use latest
`LUCENE_22` Deprecated. (3.1) Use latest
`LUCENE_23` Deprecated. (3.1) Use latest
`LUCENE_24` Deprecated. (3.1) Use latest
`LUCENE_29` Deprecated. (3.1) Use latest
`LUCENE_30` Match settings and bugs in Lucene's 3.0 release.
`LUCENE_31` Match settings and bugs in Lucene's 3.1 release.
`LUCENE_32` Match settings and bugs in Lucene's 3.2 release.
`LUCENE_33` Match settings and bugs in Lucene's 3.3 release.
`LUCENE_34` Match settings and bugs in Lucene's 3.4 release.
`LUCENE_35` Match settings and bugs in Lucene's 3.5 release.
`LUCENE_36` Match settings and bugs in Lucene's 3.6 release.
`LUCENE_CURRENT` Deprecated. Use an actual version instead.

Method Summary
`boolean` | `onOrAfter(Version other)`
`static Version` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LUCENE_20

    @Deprecated
    public static final Version LUCENE_20

  Deprecated. (3.1) Use latest
  Match settings and bugs in Lucene's 2.0 release.

### LUCENE_21

    @Deprecated
    public static final Version LUCENE_21

  Deprecated. (3.1) Use latest
  Match settings and bugs in Lucene's 2.1 release.

### LUCENE_22

    @Deprecated
    public static final Version LUCENE_22

  Deprecated. (3.1) Use latest
  Match settings and bugs in Lucene's 2.2 release.

### LUCENE_23

    @Deprecated
    public static final Version LUCENE_23

  Deprecated. (3.1) Use latest
  Match settings and bugs in Lucene's 2.3 release.

### LUCENE_24

    @Deprecated
    public static final Version LUCENE_24

  Deprecated. (3.1) Use latest
  Match settings and bugs in Lucene's 2.4 release.

### LUCENE_29

    @Deprecated
    public static final Version LUCENE_29

  Deprecated. (3.1) Use latest
  Match settings and bugs in Lucene's 2.9 release.

### LUCENE_30

    public static final Version LUCENE_30

  Match settings and bugs in Lucene's 3.0 release.

### LUCENE_31

    public static final Version LUCENE_31

  Match settings and bugs in Lucene's 3.1 release.

### LUCENE_32

    public static final Version LUCENE_32

  Match settings and bugs in Lucene's 3.2 release.

### LUCENE_33

    public static final Version LUCENE_33

  Match settings and bugs in Lucene's 3.3 release.

### LUCENE_34

    public static final Version LUCENE_34

  Match settings and bugs in Lucene's 3.4 release.

### LUCENE_35

    public static final Version LUCENE_35

  Match settings and bugs in Lucene's 3.5 release.

### LUCENE_36

    public static final Version LUCENE_36

  Match settings and bugs in Lucene's 3.6 release.

  Use this to get the latest & greatest settings, bug fixes, etc, for Lucene.

### LUCENE_CURRENT

    @Deprecated
    public static final Version LUCENE_CURRENT

  Deprecated. Use an actual version instead.

  WARNING: if you use this setting, and then upgrade to a newer release of Lucene, sizable changes may happen. If backwards compatibility is important then you should instead explicitly specify an actual version.

  If you use this constant then you may need to re-index all of your documents when upgrading Lucene, as the way text is indexed may have changed. Additionally, you may need to re-test your entire application to ensure it behaves as expected, as some defaults may have changed and may break functionality in your application.

Method Detail

### values

    public static final Version[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Version c : Version.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Version valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### onOrAfter

    public boolean onOrAfter(Version other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD